=== contrib/debian/control ===
Source: nvc
Maintainer: Nick Gasson <nick@nickg.me.uk>
Section: misc
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), tcl-dev, llvm-dev, libreadline-dev,
  check, libzstd-dev, libdw-dev, libjansson-dev, flex, pkg-config, git

Package: nvc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils
Recommends: tcllib
Description: VHDL compiler and simulator
