=== contrib/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --builddirectory=build/x-debian

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build/x-debian -- \
	  --enable-tcl --enable-server
